varying vec3 normal;
varying vec3 lightdir;

void main()
{
	gl_TexCoord[0] = gl_TextureMatrix[0] * gl_MultiTexCoord0;
	
	normal = gl_NormalMatrix * gl_Normal;
	vec4 newpos = ftransform();
	gl_Position = newpos;
	
	lightdir = normalize(vec3(gl_LightSource[0].position) - vec3(gl_ModelViewMatrix * gl_Vertex));
}